LibOFX: tree< T, tree_node_allocator >::fixed_depth_iterator Class Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
tree< T, tree_node_allocator >::fixed_depth_iterator Class Reference

Iterator which traverses only the nodes at a given depth from the root. More...

Inheritance diagram for tree< T, tree_node_allocator >::fixed_depth_iterator:

## Public Member Functions
| fixed_depth_iterator (tree_node *)
| fixed_depth_iterator (const iterator_base &)
| fixed_depth_iterator (const sibling_iterator &)
| fixed_depth_iterator (const fixed_depth_iterator &)
bool | operator== (const fixed_depth_iterator &) const
bool | operator!= (const fixed_depth_iterator &) const
fixed_depth_iterator & | operator++ ()
fixed_depth_iterator & | operator-- ()
fixed_depth_iterator | operator++ (int)
fixed_depth_iterator | operator-- (int)
fixed_depth_iterator & | operator+= (unsigned int)
fixed_depth_iterator & | operator-= (unsigned int)
| fixed_depth_iterator (tree_node *)
| fixed_depth_iterator (const iterator_base &)
| fixed_depth_iterator (const sibling_iterator &)
| fixed_depth_iterator (const fixed_depth_iterator &)
bool | operator== (const fixed_depth_iterator &) const
bool | operator!= (const fixed_depth_iterator &) const
fixed_depth_iterator & | operator++ ()
fixed_depth_iterator & | operator-- ()
fixed_depth_iterator | operator++ (int)
fixed_depth_iterator | operator-- (int)
fixed_depth_iterator & | operator+= (unsigned int)
fixed_depth_iterator & | operator-= (unsigned int)
Public Member Functions inherited from tree< T, tree_node_allocator >::iterator_base
| iterator_base (tree_node *)
T & | operator* () const
T * | operator-> () const
void | skip_children ()
| When called, the next increment/decrement skips children of this node.
unsigned int | number_of_children () const
| Number of children of the node pointed to by the iterator.
sibling_iterator | begin () const
sibling_iterator | end () const
| iterator_base (tree_node *)
T & | operator* () const
T * | operator-> () const
void | skip_children ()
| When called, the next increment/decrement skips children of this node.
unsigned int | number_of_children () const
| Number of children of the node pointed to by the iterator.
sibling_iterator | begin () const
sibling_iterator | end () const

## Data Fields
tree_node * | first_parent_
Data Fields inherited from tree< T, tree_node_allocator >::iterator_base
tree_node * | node

## Additional Inherited Members
Public Types inherited from tree< T, tree_node_allocator >::iterator_base
typedef T | value_type
typedef T * | pointer
typedef T & | reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef T | value_type
typedef T * | pointer
typedef T & | reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
Protected Attributes inherited from tree< T, tree_node_allocator >::iterator_base
bool | skip_current_children_

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::fixed_depth_iterator

Iterator which traverses only the nodes at a given depth from the root.

Definition at line 205 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh